package com.example.what_the_fantasy.data.local

import com.example.what_the_fantasy.data.model.Quote
import com.example.what_the_fantasy.data.model.SrcLanguage
import com.example.what_the_fantasy.data.model.SrcType


object QuoteStub {
    val quote1 = Quote(
        id = 1,
        content = "All we have to decide is what to do with the time that is given us.",
        likes = 466,
        language = SrcLanguage.vo,
        character = CharacterStub.gandalf.name,
        source = "The Lord of the Rings: The Fellowship of the Ring",
        date = 2000,
        type = SrcType.Movie,
        imgUrl = CharacterStub.gandalf.imgUrl
    )
    val quote2 = Quote(
        id = 2,
        content = "A wizard is never late, nor is he early, he arrives precisely when he means to.",
        likes = 467,
        language = SrcLanguage.vo,
        character = CharacterStub.gandalf.name,
        source = "The Lord of the Rings: The Fellowship of the Ring",
        imgUrl = CharacterStub.gandalf.imgUrl,
        date = 2000,
        type = SrcType.Movie,
    )
    val quote3 = Quote(
        id = 3,
        content = "Even the smallest person can change the course of the future.",
        likes = 466,
        language = SrcLanguage.vo,
        character = CharacterStub.galadriel.name,
        source = "The Lord of the Rings: The Fellowship of the Ring",
        imgUrl = CharacterStub.galadriel.imgUrl,
        date = 2000,
        type = SrcType.Movie,
    )
    val quote4 = Quote(
        id = 4,
        content = "I would rather share one lifetime with you than face all the ages of this world alone.",
        likes = 120,
        language = SrcLanguage.vo,
        character = CharacterStub.arwen.name,
        source = "The Lord of the Rings: The Fellowship of the Ring",
        imgUrl = CharacterStub.arwen.imgUrl,
        date = 2000,
        type = SrcType.Movie,
    )
    val quote5 = Quote(
        id = 5,
        content = "Faithless is he that says farewell when the road darkens.",
        likes = 150,
        language = SrcLanguage.vo,
        character = CharacterStub.gimli.name,
        source = "The Lord of the Rings: The Fellowship of the Ring",
        imgUrl = CharacterStub.gimli.imgUrl,
        date = 2000,
        type = SrcType.Movie,
    )
    val quote6 = Quote(
        id = 6,
        content = "It's a dangerous business, Frodo, going out your door. You step onto the road, and if you don't keep your feet, there's no knowing where you might be swept off to.",
        likes = 200,
        language = SrcLanguage.vo,
        character = CharacterStub.frodoBaggins.name,
        source = "The Lord of the Rings: The Fellowship of the Ring",
        imgUrl = CharacterStub.frodoBaggins.imgUrl,
        date = 2000,
        type = SrcType.Movie,
    )
    val quote7 = Quote(
        id = 7,
        content = "I am no man.",
        likes = 300,
        language = SrcLanguage.vo,
        character = CharacterStub.eowyn.name,
        source = "The Lord of the Rings: The Return of the King",
        imgUrl = CharacterStub.eowyn.imgUrl,
        date = 2000,
        type = SrcType.Movie,
    )
    val quote8 = Quote(
        id = 8,
        content = "The world is changed. I feel it in the water. I feel it in the earth. I smell it in the air.",
        likes = 400,
        language = SrcLanguage.vo,
        character = CharacterStub.treebeard.name,
        source = "The Lord of the Rings: The Two Towers",
        imgUrl = CharacterStub.treebeard.imgUrl,
        date = 2000,
        type = SrcType.Movie,
    )
    val quote9 = Quote(
        id = 9,
        content = "We wants it, we needs it. Must have the precious.",
        likes = 500,
        language = SrcLanguage.vo,
        character = CharacterStub.gollum.name,
        source = "The Lord of the Rings: The Two Towers",
        imgUrl = CharacterStub.gollum.imgUrl,
        date = 2000,
        type = SrcType.Movie,
    )
    val quote10 = Quote(
        id = 10,
        content = "The board is set, the pieces are moving. We come to it at last, the great battle of our time.",
        likes = 600,
        language = SrcLanguage.vo,
        character = CharacterStub.gandalf.name,
        source = "The Lord of the Rings: The Return of the King",
        imgUrl = CharacterStub.gandalf.imgUrl,
        date = 2000,
        type = SrcType.Movie,
    )
    val quote11 = Quote(
        id = 11,
        content = "Un grand pouvoir implique de grandes responsabilités.",
        likes = 466,
        language = SrcLanguage.fr,
        character = CharacterStub.aragorn.name,
        source = "Spider-Man",
        imgUrl = CharacterStub.aragorn.imgUrl,
        date = 2000,
        type = SrcType.Movie,
    )
    val quote12 = Quote(
        id = 12,
        content = "Que la Force soit avec toi.",
        likes = 467,
        language = SrcLanguage.fr,
        character = CharacterStub.legolas.name,
        source = "Star Wars",
        imgUrl = CharacterStub.legolas.imgUrl,
        date = 2000,
        type = SrcType.Movie,
    )
    val quote13 = Quote(
        id = 13,
        content = "La magie est partout. Il suffit de savoir où la trouver.",
        likes = 466,
        language = SrcLanguage.fr,
        character = CharacterStub.gandalf.name,
        source = "Harry Potter",
        imgUrl = CharacterStub.gandalf.imgUrl,
        date = 2000,
        type = SrcType.Movie,
    )
    val quote14 = Quote(
        id = 14,
        content = "Le monde est plein de choses magiques, patientant que nos sens s'aiguisent.",
        likes = 120,
        language = SrcLanguage.fr,
        character = CharacterStub.frodoBaggins.name,
        source = "Le Seigneur des Anneaux",
        imgUrl = CharacterStub.frodoBaggins.imgUrl,
        date = 2000,
        type = SrcType.Movie,
    )
    val quote15 = Quote(
        id = 15,
        content = "La peur mène à la colère, la colère mène à la haine, la haine mène à la souffrance.",
        likes = 150,
        language = SrcLanguage.fr,
        character = CharacterStub.gimli.name,
        source = "Star Wars",
        imgUrl = CharacterStub.gimli.imgUrl,
        date = 2000,
        type = SrcType.Movie,
    )
    val quote16 = Quote(
        id = 16,
        content = "La vie est une aventure audacieuse ou rien du tout.",
        likes = 200,
        language = SrcLanguage.fr,
        character = CharacterStub.galadriel.name,
        source = "Helen Keller",
        imgUrl = CharacterStub.galadriel.imgUrl,
        date = 2000,
        type = SrcType.Movie,
    )
    val quote17 = Quote(
        id = 17,
        content = "Le courage n'est pas l'absence de peur, mais la capacité de vaincre ce qui fait peur.",
        likes = 300,
        language = SrcLanguage.fr,
        character = CharacterStub.boromir.name,
        source = "Nelson Mandela",
        imgUrl = CharacterStub.boromir.imgUrl,
        date = 2000,
        type = SrcType.Movie,
    )
    val quote18 = Quote(
        id = 18,
        content = "La folie, c'est de faire toujours la même chose et de s'attendre à un résultat différent.",
        likes = 400,
        language = SrcLanguage.fr,
        character = CharacterStub.eowyn.name,
        source = "Albert Einstein",
        imgUrl = CharacterStub.eowyn.imgUrl,
        date = 2000,
        type = SrcType.Movie,
    )
    val quote19 = Quote(
        id = 19,
        content = "Le bonheur n'est pas quelque chose de tout fait. Il vient de vos propres actions.",
        likes = 500,
        language = SrcLanguage.fr,
        character = CharacterStub.saruman.name,
        source = "Dalaï Lama",
        imgUrl = CharacterStub.saruman.imgUrl,
        date = 2000,
        type = SrcType.Movie,
    )
    val quote20 = Quote(
        id = 20,
        content = "La vie est un mystère qu'il faut vivre, et non un problème à résoudre.",
        likes = 600,
        language = SrcLanguage.fr,
        character = CharacterStub.samwiseGamgee.name,
        source = "Gandhi",
        imgUrl = CharacterStub.samwiseGamgee.imgUrl,
        date = 2000,
        type = SrcType.Movie,
    )

    val allQuotes: List<Quote> = listOf(
        quote1, quote2, quote3, quote4, quote5, quote6, quote7, quote8, quote9, quote10,
        quote11, quote12, quote13, quote14, quote15, quote16, quote17, quote18, quote19, quote20
    )
}