# Projet Android What the Fantasy

# Description
L'application mobile **What the Fantasy** est une application pour android permettant aux utilisateurs de découvrir des citations célèbres du monde de la fantasy. En plus de pouvoir lire et apprécier les citations, les utilisateurs peuvent créer un compte pour interagir avec elles en les likant, en les commentant, et en participant à des quiz à thème ou aléatoires.

### Fonctionnalités principales

- **Découverte de citations** : Parcourez une large sélection de citations tirées de l'univers de la fantasy.
- **Interaction avec les citations** : Les utilisateurs connectés peuvent **liker** et **commenter** les citations.
- **Création de compte utilisateur** : Inscription et connexion des utilisateurs pour accéder à des fonctionnalités supplémentaires.
- **Quiz interactifs** : Les utilisateurs peuvent participer à des quiz à thème (par exemple, quiz sur les personnages de la fantasy) ou un quiz aléatoire pour deviner qui a dit une citation parmi une liste d'auteurs célèbres.

## Prérequis

Avant d'exécuter l'application sur votre android, vous devez avoir installé les éléments suivants sur votre machine :

- **Android Studio** : L'IDE officiel des applications Android
  - [Installation d'Android Studio](https://developer.android.com/studio?hl=fr)


## Installation
### 1. Cloner le dépôt

Clonez le dépôt Git sur votre machine locale avec la commande suivante :

```bash
git clone https://codefirst.iut.uca.fr/git/WhatTheFantasy/WF-Android.git
```
### 2. Lancer l'application à travers Android Studio
Une fois le projet ouvert dans Android Studio, lancer le build du projet, soit sur votre smartphone android physique, soit par un émulateur intégré à Android Studio 




## Auteurs
BRONGNIART Kentin<br/>
BEAULATON Léni<br/>
ROCHER Maxime<br/>
MONDEJAR Kevin<br/>
GUICHARD-MONTGUERS Louis<br/>
NGUYEN Tommy<br/>
  