package com.example.what_the_fantasy.data.local

import com.example.what_the_fantasy.data.model.Quote
import com.example.what_the_fantasy.data.model.SrcLanguage
import com.example.what_the_fantasy.data.model.SrcType

object DailyQuoteStub {
    val dailyQuote = Quote(
        id = 1,
        content = "All we have to decide is what to do with the time that is given us.",
        likes = 466,
        language = SrcLanguage.vo,
        character = CharacterStub.gandalf.name,
        source = "The Lord of the Rings: The Fellowship of the Ring",
        date = 2000,
        type = SrcType.Movie,
        imgUrl = CharacterStub.gandalf.imgUrl
    )
}