package com.example.what_the_fantasy.data.local

import com.example.what_the_fantasy.data.model.Favorite
import com.example.what_the_fantasy.data.model.Quote

object FavoriteStub {
    val favorites: MutableList<Favorite> = mutableListOf(
        Favorite(UserStub.users[0], QuoteStub.quote1),
        Favorite(UserStub.users[1], QuoteStub.quote12),
        Favorite(UserStub.users[2], QuoteStub.quote13),
        Favorite(UserStub.users[3], QuoteStub.quote6),
        Favorite(UserStub.users[4], QuoteStub.quote5),
        Favorite(UserStub.users[5], QuoteStub.quote3),
        Favorite(UserStub.users[6], QuoteStub.quote17),
        Favorite(UserStub.users[7], QuoteStub.quote7),
        Favorite(UserStub.users[8], QuoteStub.quote19),
        Favorite(UserStub.users[9], QuoteStub.quote20),
        Favorite(UserStub.users[10], QuoteStub.quote11)
    )

    fun getFavoritesByUser(userId: Int): List<Quote> {
        return favorites
            .filter { it.user.id == userId }
            .map { it.quote }
    }

}